[build]
target = "x86_64-kernel.json"
target-dir = "build/target"

[unstable]
build-std = ["core", "compiler_builtins", "alloc"]
build-std-features = ["compiler-builtins-mem"]

[env]
RUST_TARGET_PATH = { value = "kernel", relative = true }

# Run in debug mode.
[target.'cfg(all(target_arch = "x86_64", target_os = "none", debug_assertions))']
runner = "scripts/run_debug.sh"

# Otherwise we run in release mode.
[target.'cfg(all(target_arch = "x86_64", target_os = "none", not(debug_assertions)))']
runner = "scripts/run_release.sh"

[registries.gitea]
index = "sparse+https://git.zxq5.dev/api/packages/OsDev/cargo/" # Sparse index
